groovy-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul King (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (GROOVY-8528) Bump ASM to 6.1.1 in 2_4_X
Date Thu, 13 Dec 2018 10:03:01 GMT

     [ https://issues.apache.org/jira/browse/GROOVY-8528?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Paul King closed GROOVY-8528.
-----------------------------

> Bump ASM to 6.1.1 in 2_4_X
> --------------------------
>
>                 Key: GROOVY-8528
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8528
>             Project: Groovy
>          Issue Type: Task
>    Affects Versions: 2.4.15
>            Reporter: Paul King
>            Assignee: Paul King
>            Priority: Major
>             Fix For: 2.4.16
>
>
> Seems like even with our code changes, ASM 6.0 isn't enough:
> {code:java}
> @groovy.transform.CompileStatic
> class Foo {
>   Comparator byKey() {
>     return Map.Entry.comparingByKey()
>   }
> }
> new Foo().byKey()
> {code}
> gives on 2.4.15:
> {noformat}
> java.lang.IncompatibleClassChangeError: Method java.util.Map$Entry.comparingByKey()Ljava/util/Comparator;
must be InterfaceMethodref constant
> {noformat}
> Other branches are already on that version.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message